package jp.gr.java_conf.skrb.game.trivia.util;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.io.File;
import java.io.IOException;
import java.util.Properties;
import javax.imageio.ImageIO;
import javax.swing.JComponent;

public class CounterPanel extends JComponent {
    protected static Image[] images;
    private Counter counter;

    public static final String COUNTER_BASE = "CounterBase";
    public static final String COUNTER_SUFFIX = "CounterSuffix";

    public CounterPanel(Properties properties, Counter counter) {
        this.counter = counter;

        String counterBase = properties.getProperty(COUNTER_BASE);
        String counterSuffix = properties.getProperty(COUNTER_SUFFIX);

        images = new Image[21];

        try {
            for (int i = 0; i < images.length ; i++) {
                images[i] = ImageIO.read(new File(counterBase + i + "." + counterSuffix));
            }
        } catch (IOException e) {
            e.printStackTrace();
        }

        setPreferredSize(new Dimension(images[0].getWidth(null), images[0].getHeight(null)));
    }

    public void paintComponent(Graphics g) {
        g.drawImage(images[counter.getCount()], 0, 0, this);
    }
}
